include		/etc/openldap/schema/core.schema
include		/etc/openldap/schema/cosine.schema
include		/etc/openldap/schema/inetorgperson.schema
include		/etc/openldap/schema/nis.schema
#include		/etc/openldap/schema/samba.schema

pidfile   /var/run/slapd.pid
argsfile  /var/run/slapd.args

# À décommenter lors de l'installation de samba
#access to attrs=userPassword,sambaLMPassword,sambaNTPassword,sambaPwdMustChange,sambaPwdLastSet,shadowLastChange,shadowMax
# by self write
# by * auth

access to * by * read

database	bdb

suffix		"dc=arda"
# Le nom de l'administrateur sera 'root'.
rootdn		"cn=root,dc=arda"
# À remplacer avec le hash de votre mot de passe.
rootpw		{SSHA}Gb4Ka3wc2BsHmXOxq+LJnkfXw89Brjf1
directory	/var/lib/openldap/openldap-data
index	objectClass	eq

TLSCipherSuite HIGH:MEDIUM:+SSLv2
TLSCertificateFile /etc/openldap/ssl/slapdcert.pem
TLSCertificateKeyFile /etc/openldap/ssl/slapdkey.pem

